GNU bug report logs - #45091
27.1; M-x org-table-paste-rectanble

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: Tak Kunihiro <homeros.misasa@HIDDEN>; dated Mon, 7 Dec 2020 05:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 15 Jan 2021 12:19:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 07:19:34 2021
Received: from localhost ([127.0.0.1]:40079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0O4i-00068E-0W
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2021 07:19:34 -0500
Received: from mail-io1-f54.google.com ([209.85.166.54]:37175)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1l0O4c-00067z-OL
 for 45091 <at> debbugs.gnu.org; Fri, 15 Jan 2021 07:19:30 -0500
Received: by mail-io1-f54.google.com with SMTP id d13so14456532ioy.4
 for <45091 <at> debbugs.gnu.org>; Fri, 15 Jan 2021 04:19:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=y28fr0Qod61LvG7WqmCM4csxVRt45VdiJOKk6AvaF3s=;
 b=PPHV5frgf6iS+CYDa3FB3kEKyf84mwCrELjglNwx9qVVswkrkX4o4G+8zA221dUX+j
 6Slo+YqvOfaRprOva0qeRRmkiiXI+t1TGPOr4B9tqSM7I/XBDOIlVlXCrQOKmi/BrLms
 pP53y0/3qQIc1LR89Un7YxZRyvaFsDdsRT032IMiO+vnFkyBcBzlciMdyZvuyLOzq89x
 cWeHws9lfIPNAx64PTBCaVcnfeUTk+ZRgKFq2VAdvM/3DXxKIGXEwZcd8y8OGZs4JOtR
 3IDDqUeKk6qwlOUfDFjD2XLoFrh3xWpspI9wnZTJGDPquLPVnGTHe7ltKBzRx60T5q59
 /B0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=y28fr0Qod61LvG7WqmCM4csxVRt45VdiJOKk6AvaF3s=;
 b=QTmrMSsYdRSkVheT+LqgZ1JWDBrwkzAO67q1EuB/ujL8a/Z9lnShz4VwWBDG+x5cc3
 mqgCOA4/V6YLwyiVzatRL+us55evcx7X90cE018y5LQjbKWjEo0lFPECUb1qZQD2qhp0
 /Ivm7+f0t5TtU3QxqrsKKvwbxN1Pv/fTzGC1H+yZQPhUgcFt9ryk2s52wsGbSGvD+2dP
 kDV06lO+y5IlpzmYdxo/3n3OhHd9Sj+NcVq21TAaJHSRHxy9z8Vi7PAOqhR7XSnzEXuX
 ROvmTcN0IVV8L1Ojw1Arg72tkRXb3kozDuKDPI+OQxwcD1gDrKhWH3opL8DXfQ3vquK9
 Lldg==
X-Gm-Message-State: AOAM530BmCtGtikmMux38x9qGWNBoHRmCjgULfQD9mn7raF1wd/BqYjW
 nL4Z55un5iOkxriZejJvUIwdhvbO9LbjHZZEd/M=
X-Google-Smtp-Source: ABdhPJw3isHB/JfPZpAlzzU4zziTjoH7CYury+ruUIVYhWl7se3NZ7OoJdLIJEpRXlUGNOu+OETknOCZPmBemDRu/JU=
X-Received: by 2002:a92:d210:: with SMTP id y16mr10471117ily.97.1610713161116; 
 Fri, 15 Jan 2021 04:19:21 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN>
 <20210115.204440.196131068956280221.conao3@HIDDEN>
In-Reply-To: <20210115.204440.196131068956280221.conao3@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Fri, 15 Jan 2021 12:19:08 +0000
Message-ID: <CALDnm53Uv7tveRf508R7LWvoTbih27hNkj84Oad47o94NP1shw@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
To: Naoya Yamashita <conao3@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: tkk@HIDDEN, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Okay, your bisect scripts points to one of my commits.

But I wish it was more automated.  Because I tried quite
hard and sometimes I _could_ reproduce the problem and
sometimes I couldn't.  So you could be seeing noise here.
Maybe you can make your script  do those copy-paste
operations automatically and reliably?  Then we'd be sure.

Anyway, I think is might be enough to point to a bug
that was introduced by my commit, or rather exposed
by it.  I'll have another look.

Jo=C3=A3o

On Fri, Jan 15, 2021 at 12:11 PM Naoya Yamashita <conao3@HIDDEN> wrote:
>
>
> Hi, I'm new on this thread, but I can reproduce tak's issue and I
> tried to do bisect.
>
> Finally, I got 5b45c269cda09fe46e110adb6f6767040f4ade59 is a
> commit has a some problem.
>
> I'm happy if this information could help you.
>
> ```
> 5b45c269cda09fe46e110adb6f6767040f4ade59
> New jit-lock-antiblink-grace feature
>
> * lisp/jit-lock.el (jit-lock-antiblink-grace): New defcustom.
> (jit-lock--antiblink-line-beginning-position)
> (jit-lock--antiblink-string-or-comment): New variables
> (jit-lock--antiblink-post-command): New helper.
> (jit-lock-mode): Tweak post-command-hook and
> jit-lock-context-timer.
>
> * etc/NEWS: Mention jit-lock-antiblink-grace
>
> 2 files changed, 81 insertions(+), 1 deletion(-)
> etc/NEWS         |  7 ++++++
> lisp/jit-lock.el | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++=
++++-
> ```
>
> ---
>
> Here is my bash script and do `C-c l` (org-table-copy-region) on
> first table and `C-c ;` (org-table-paste-rectangle) on second table.
> (~/dev/tmp/taks-file.tex have first tak's mention contents.)
>
> ```sh
> make clean
> ./autogen.sh
> ./configure --prefix=3D$HOME/.local/head
> make -j6
> ./src/emacs -Q ~/dev/tmp/taks-file.tex --eval "             \
>   (progn                                                    \
>     (setq truncate-lines t)                                 \
>     (setq debug-on-error t)                                 \
>     (require 'org)                                          \
>     (require 'org-table)                                    \
>     (orgtbl-mode)                                           \
>     (global-set-key (kbd \"C-c l\")                         \
>        (lambda ()                                           \
>          (interactive)                                      \
>          (org-table-copy-region (1+ (org-table-begin)) (- (org-table-end)=
 2)))) \
>     (global-set-key (kbd \"C-c ;\")                         \
>        (lambda ()                                           \
>          (interactive)                                      \
>          (org-table-paste-rectangle)                        \
>          (set-buffer-modified-p nil))))"                    \
> 2>/dev/null
> ```
>
> And here is my bisect log.
> ```
> Bisect Log (14)
> git bisect start 'emacs-27.1' 'emacs-26.3'
> git bisect good 38564f8a664347c42f7614d9c91e0d49e4a073e8
> git bisect good 825fd4d34165e5edc718a9df93838a410d25ea81
> git bisect good 5c5c1b559313d06aab6516ff1b1acf1da3a01c7d
> git bisect bad d7cd4ab7d948427104003f1d35cf52a4eac45d0a
> git bisect bad 4b2c2faab83fe3b13430b837be7d450b5cd47caf
> git bisect good 16ce6dbef279bda70b4d60b4d2d0aff008bfa5f7
> git bisect bad 5063e38921de8cb872965abda32bcc6fd8894532
> git bisect bad 4c933077157ba409d645f4649c8a3a8e534d53d5
> git bisect good 096be9c4541329af259273fe604dc4f8669fbd8a
> git bisect bad bd95d66ae97f3dcfe73b972de935e27e434e49be
> git bisect bad 5b45c269cda09fe46e110adb6f6767040f4ade59
> git bisect good 0e774d4f355b4f12a625da5ca9602d1ba876bcc1
> 5b45c269cda09fe46e110adb6f6767040f4ade59 is the first bad commit
> ```
>
>
>


--=20
Jo=C3=A3o T=C3=A1vora




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 15 Jan 2021 12:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 07:10:53 2021
Received: from localhost ([127.0.0.1]:40053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0NwI-0005ue-Uv
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2021 07:10:52 -0500
Received: from mail-pf1-f173.google.com ([209.85.210.173]:39940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <conao3@HIDDEN>) id 1l0NXY-0005Ju-Rg
 for 45091 <at> debbugs.gnu.org; Fri, 15 Jan 2021 06:45:19 -0500
Received: by mail-pf1-f173.google.com with SMTP id x126so5317718pfc.7
 for <45091 <at> debbugs.gnu.org>; Fri, 15 Jan 2021 03:45:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:message-id:to:cc:subject:from:mime-version
 :content-transfer-encoding;
 bh=zvXot0X++Jueog7kJs4plswlQx1yrEHgzQICaJUmQck=;
 b=f2AAodQZNLoUI9paw0XO/u+0Rwik8ZK5QcLGO+KvNQkAZ7LNhNAn6nlb/CZLqH/+F3
 qANVnh2dJryZYe/OsPvEv/5D37FPXIHmIemyIKzZIRaASyo24b8dzXHukUK8mvgvbogu
 QAnn8T789P2KUHQo8v4iNMkp7FQ4TjOf+NdBBtVPpYRWuC1MzD5qCDTGrrv3P5h7N7es
 P7n9BuN6rD4mU1MUSz0qDik9vKZIRK2rbhcc5jaIm0uIkEl6yrFg7Cd8n5uC6cGRlMYx
 1/CVL6gePYlwY8jtlqap3zFc7H7BRMCxZFbazSQJB27Y7gVU8wPHQlqmu6Ikt3ZBWhfr
 2hGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:message-id:to:cc:subject:from:mime-version
 :content-transfer-encoding;
 bh=zvXot0X++Jueog7kJs4plswlQx1yrEHgzQICaJUmQck=;
 b=LRZDVhIQWCUVYqJD7TulBeUVUoOoBOOlza5rJQ3KkFE1N/kQFdHjBaLyceMbalBcfJ
 gQvrJrcAq0EC/25gd5uGE+G7c8ApGSXjvuiaWYOpa7wivuuNoyUIt7khAZFt0YDqeEJC
 XI7/1ApO5v7QQV9b4Xgbsa5OAIADyDutAiWFapAc4oKbVWEfI/ut/3fb39n9l0OaHKli
 Q82kpBaWOvypg/v25fUDW4mHX5lVwi+BqEzdMQVcZVyO5NyPbSqJxjurlCp5rxxHGhJo
 rf6AxYpkuupJktcuL2cp6w7W6Jyj1sE+Ye0BiMFj0PLZpjfxTlW7xoANFs72lIBWiIGt
 XxWw==
X-Gm-Message-State: AOAM531y+9cj35JmwBGYjBMY4crAuUvJlAptGH6hkkH/ic6RERUJYv3f
 7NklIlHsrYB7Yv6jRM3BD3lUkfSfcq0=
X-Google-Smtp-Source: ABdhPJwpnPIcnHe6MDmWnlr9jfxOAMJfJXjDRnvAsHynFHg1eSbGS7zeThotTCEgMdRxCS7Tp5ae6g==
X-Received: by 2002:a63:ce4d:: with SMTP id r13mr12111208pgi.204.1610711110838; 
 Fri, 15 Jan 2021 03:45:10 -0800 (PST)
Received: from localhost (p210141-ipngn200407niho.hiroshima.ocn.ne.jp.
 [118.4.79.141])
 by smtp.gmail.com with ESMTPSA id l8sm7772485pjt.32.2021.01.15.03.45.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 15 Jan 2021 03:45:10 -0800 (PST)
Date: Fri, 15 Jan 2021 20:44:40 +0900 (JST)
Message-Id: <20210115.204440.196131068956280221.conao3@HIDDEN>
To: tkk@HIDDEN
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
From: Naoya Yamashita <conao3@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 27.1
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 45091
X-Mailman-Approved-At: Fri, 15 Jan 2021 07:10:49 -0500
Cc: 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Hi, I'm new on this thread, but I can reproduce tak's issue and I
tried to do bisect.

Finally, I got 5b45c269cda09fe46e110adb6f6767040f4ade59 is a
commit has a some problem.

I'm happy if this information could help you.

```
5b45c269cda09fe46e110adb6f6767040f4ade59
New jit-lock-antiblink-grace feature

* lisp/jit-lock.el (jit-lock-antiblink-grace): New defcustom.
(jit-lock--antiblink-line-beginning-position)
(jit-lock--antiblink-string-or-comment): New variables
(jit-lock--antiblink-post-command): New helper.
(jit-lock-mode): Tweak post-command-hook and
jit-lock-context-timer.

* etc/NEWS: Mention jit-lock-antiblink-grace

2 files changed, 81 insertions(+), 1 deletion(-)
etc/NEWS         |  7 ++++++
lisp/jit-lock.el | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
```

---

Here is my bash script and do `C-c l` (org-table-copy-region) on
first table and `C-c ;` (org-table-paste-rectangle) on second table.
(~/dev/tmp/taks-file.tex have first tak's mention contents.)

```sh
make clean
./autogen.sh
./configure --prefix=$HOME/.local/head
make -j6
./src/emacs -Q ~/dev/tmp/taks-file.tex --eval "             \
  (progn                                                    \
    (setq truncate-lines t)                                 \
    (setq debug-on-error t)                                 \
    (require 'org)                                          \
    (require 'org-table)                                    \
    (orgtbl-mode)                                           \
    (global-set-key (kbd \"C-c l\")                         \
       (lambda ()                                           \
         (interactive)                                      \
         (org-table-copy-region (1+ (org-table-begin)) (- (org-table-end) 2)))) \
    (global-set-key (kbd \"C-c ;\")                         \
       (lambda ()                                           \
         (interactive)                                      \
         (org-table-paste-rectangle)                        \
         (set-buffer-modified-p nil))))"                    \
2>/dev/null
```

And here is my bisect log.
```
Bisect Log (14)
git bisect start 'emacs-27.1' 'emacs-26.3'
git bisect good 38564f8a664347c42f7614d9c91e0d49e4a073e8
git bisect good 825fd4d34165e5edc718a9df93838a410d25ea81
git bisect good 5c5c1b559313d06aab6516ff1b1acf1da3a01c7d
git bisect bad d7cd4ab7d948427104003f1d35cf52a4eac45d0a
git bisect bad 4b2c2faab83fe3b13430b837be7d450b5cd47caf
git bisect good 16ce6dbef279bda70b4d60b4d2d0aff008bfa5f7
git bisect bad 5063e38921de8cb872965abda32bcc6fd8894532
git bisect bad 4c933077157ba409d645f4649c8a3a8e534d53d5
git bisect good 096be9c4541329af259273fe604dc4f8669fbd8a
git bisect bad bd95d66ae97f3dcfe73b972de935e27e434e49be
git bisect bad 5b45c269cda09fe46e110adb6f6767040f4ade59
git bisect good 0e774d4f355b4f12a625da5ca9602d1ba876bcc1
5b45c269cda09fe46e110adb6f6767040f4ade59 is the first bad commit
```




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 21 Dec 2020 04:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 20 23:58:34 2020
Received: from localhost ([127.0.0.1]:45960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1krDHF-0001GJ-Q6
	for submit <at> debbugs.gnu.org; Sun, 20 Dec 2020 23:58:34 -0500
Received: from mlsec.cc.okayama-u.ac.jp ([150.46.12.254]:24030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tkk@HIDDEN>) id 1krDHD-0001G7-PT
 for 45091 <at> debbugs.gnu.org; Sun, 20 Dec 2020 23:58:32 -0500
Received: from jlsv301.okayama-u.ac.jp (unknown [150.46.12.5]) by
 mlsec.cc.okayama-u.ac.jp with smtp
 id 76ba_358d_f2f8a1ed_68bb_4a9e_ba8f_c4e3f18dff44;
 Mon, 21 Dec 2020 13:58:24 +0900
Received: from localhost (vesta.misasa.okayama-u.ac.jp [150.46.48.154])
 by jlsv301.okayama-u.ac.jp (Postfix) with ESMTPSA id D9EA77600CE;
 Mon, 21 Dec 2020 13:58:23 +0900 (JST)
Date: Mon, 21 Dec 2020 13:58:23 +0900 (JST)
Message-Id: <20201221.135823.1120117259049561538.tkk@HIDDEN>
To: joaotavora@HIDDEN
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
From: Tak Kunihiro <tkk@HIDDEN>
In-Reply-To: <CALDnm52LmKdyarbMr-dheDO5xErh7JMWCOb06SAgzpoyxaxeOg@HIDDEN>
References: <87360g44fe.fsf@HIDDEN> <m2blep49kt.fsf@HIDDEN>
 <CALDnm52LmKdyarbMr-dheDO5xErh7JMWCOb06SAgzpoyxaxeOg@HIDDEN>
X-Mailer: Mew version 6.8 on Emacs 27.1
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 11
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 4 Rules triggered
 EDT_SA_AU_PASS=0, EDT_SA_DN_PASS=0, EDT_SA_TS_PASS=0, RV6904=0
X-NAI-Spam-Version: 2.3.0.9418 : core <6904> : inlines <7226> : streams
 <1876752> : uri <3176251>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: homeros.misasa@HIDDEN, tkk@HIDDEN, eliz@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> > I'll keep looking a bit, but at this point it doesn't seem to have
>> > anything to do with the antiblink feature.  I might be wrong, but I
>> > think that only shows up first in the messages buffer because it's
>> > unlucky enough to be one of the first users of syntax-ppss after a
>> > command.
>>
>> I confirmed that I can reproduce the problem with 27.1.90.  Although the
>> recipe seems complicated, I see the problem quite often when I work with
>> LaTeX-mode.  I still have to stick on 26.3.
>>
>> I appreciate if the problem would be fixed.
> 
> Are you familiar with `git bisect`?  It's a bit of work, but it usually points
> to the culprit commit.  Emacs history is very good.  I don't have
> time for this right now, but maybe you have?  It's a question
> of compiling Emacs methodically and then testing your recipe
> each time.

I am not familiar with `git bisect` but I understand how to detect the
source of the problem.  I will ... try.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 20 Dec 2020 00:19:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 19:19:04 2020
Received: from localhost ([127.0.0.1]:43451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqmQz-0003Vx-Sq
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 19:19:04 -0500
Received: from mail-il1-f181.google.com ([209.85.166.181]:37940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kqmQf-0003VN-9E
 for 45091 <at> debbugs.gnu.org; Sat, 19 Dec 2020 19:18:46 -0500
Received: by mail-il1-f181.google.com with SMTP id v3so5713598ilo.5
 for <45091 <at> debbugs.gnu.org>; Sat, 19 Dec 2020 16:18:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=9KmSrU4UZcnCIWXNoSAyi1559R45c2hNb+p0KB/9kGA=;
 b=uOvfWJ4Gr4wVOKIyZOGUmOAPhxJZTT1yBuaR3upwFQaG7gx43lXgxz29CeJBVcn/pr
 eVF50ZvZyK9YXlzFxIiNj8GUPdE+7mZDDHgxuw2JDM0Uw819W/0kF6CwW5Vq8lQYafTy
 raDrOhP+mtuYnaYTsjXn7Zw3eNouqekkgQFCW52nqgF5QVBNAa0VrduqZc34bcU+uPWY
 K4i83sDNnnVFZARRhXRb5y6z45eq98989qiNAyuAGdX8my/QP5R/3Qrx3YcaPrJm7UgB
 dwSIa/bk2q8DjQQkDBiQWl89EAontBXJhrQ0a2fY5DX5yCTIC6O4x3V2o6Zs/IIa8pyo
 /cdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=9KmSrU4UZcnCIWXNoSAyi1559R45c2hNb+p0KB/9kGA=;
 b=mLrvnV+ytKRf0FUavwaVGhu9cypHwKn0u5lse1pXDO2+pREzH2REn3oUcF1uj2UJXg
 w+Gyqv4sDWOe4/AJ0Po0SyetiNuaFQhRyMrUEi0fcQ17ZNbaThr65vEPY2hxR0Ir44gr
 UPZTsPtj7nVz3mmhLm/oMm1PAxoe9PmQaQZeJCCz/8Ki++eBAMBhCoQoEi+yD8y0UIwC
 SJriGLEuFcml5G7TKWRF4j5Qt27QY6lkSTtg5LYoDvAUvDPqukkYA9UMgtzkyrhVwiMu
 dDtTAS+1tcwdS0JgogkYlhbH7AdCUi2ZtT39SD+5+yZ/8+1GpieAalHf0P0CFKDModOu
 bLNg==
X-Gm-Message-State: AOAM531D1f1uRZ2fvYO1XU8fPYl5OzJfQKYEzQ4RltsTnEK2O0hugl7L
 pujCoo1SoKDTYWBPPOVUrDfEkPzFS/0HoJLgE3k=
X-Google-Smtp-Source: ABdhPJyDme6zse/WiJRRpMpoWGi1VWCMluVgZgJ2Bws2wgHnO32BQuExCW7+obHlMv+elLFReIlBMDaHmNfYOlnzgr8=
X-Received: by 2002:a92:4089:: with SMTP id d9mr8138376ill.199.1608423493783; 
 Sat, 19 Dec 2020 16:18:13 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
 <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
 <87360g44fe.fsf@HIDDEN> <m2blep49kt.fsf@HIDDEN>
In-Reply-To: <m2blep49kt.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 20 Dec 2020 00:18:02 +0000
Message-ID: <CALDnm52LmKdyarbMr-dheDO5xErh7JMWCOb06SAgzpoyxaxeOg@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
To: Tak Kunihiro <homeros.misasa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Eli Zaretskii <eliz@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Dec 20, 2020 at 12:15 AM Tak Kunihiro <homeros.misasa@HIDDEN> wr=
ote:
>
> > I'll keep looking a bit, but at this point it doesn't seem to have
> > anything to do with the antiblink feature.  I might be wrong, but I
> > think that only shows up first in the messages buffer because it's
> > unlucky enough to be one of the first users of syntax-ppss after a
> > command.
>
> I confirmed that I can reproduce the problem with 27.1.90.  Although the
> recipe seems complicated, I see the problem quite often when I work with
> LaTeX-mode.  I still have to stick on 26.3.
>
> I appreciate if the problem would be fixed.

Are you familiar with `git bisect`?  It's a bit of work, but it usually poi=
nts
to the culprit commit.  Emacs history is very good.  I don't have
time for this right now, but maybe you have?  It's a question
of compiling Emacs methodically and then testing your recipe
each time.

Jo=C3=A3o T=C3=A1vora




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 20 Dec 2020 00:16:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 19:16:01 2020
Received: from localhost ([127.0.0.1]:43446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqmO2-0003RF-Ie
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 19:16:01 -0500
Received: from mail-pj1-f47.google.com ([209.85.216.47]:39231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <homeros.misasa@HIDDEN>) id 1kqmNe-0003QZ-5t
 for 45091 <at> debbugs.gnu.org; Sat, 19 Dec 2020 19:15:41 -0500
Received: by mail-pj1-f47.google.com with SMTP id hk16so3874526pjb.4
 for <45091 <at> debbugs.gnu.org>; Sat, 19 Dec 2020 16:15:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=AfLIcUVEZhuOUhFkwVDI10P1MBPql2hPF94N/xCxIcY=;
 b=aKJp/uo9QX2RYDkqTL/hbxEDqRF5Lj/AP04lTbfN1T+pWfW6xVDJYISVRXf3vneqdv
 yYD8YhUMXZbesEHonTwpHsf68InRomX/hMv/8nzexrTuvkx8LquF/3bfEKfcv5yBuGaG
 03a/8FphRFeBIrfE+UxRbIpYewFPefvyTNSLrZ7L2SSe9ca7X54lj7nvnvrM/aMEwHDF
 C2sorsowpUbjU9T/vcaZvFNJwjxM0y4ZfaojBdYrMYpYgFyrtc8EwLNc+TX53A6yFHzw
 zILVQrwHPURPtWWeOkjfGTNTip3OusCQwZeYnwlClALCieWouSWyU1YEoSNaqlqVoWBh
 a7Ug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=AfLIcUVEZhuOUhFkwVDI10P1MBPql2hPF94N/xCxIcY=;
 b=JXrs/IbsdpC27iWNpgmib13ykJFRoQh+YpTC+jpKTbKRl/+lXoISTxlOoKJuRMAbqB
 HXgZqUmRUlOqNKuD/DkLKOrsI/20m5K+5G22gRI6UFaNfhNNPDykPHhquuyzs8FG3uPc
 KzjHFAYkSOCsn63+n0tGzjiJwfvHC1ZkjXCoNcDFC70l1craRUEBU5QU0LWKyHZE/1m8
 8Vqv7OJ565xllkaFIA5bqQmQ90JcAGWon6v505H/mBO1N/uJnEd+0fCG229kqcdpBJ6e
 zFZZKrY0Un+sHoVU1L2ZMBN264sfr/WUg2nr3pj/Zj6wbk55NPiNn9gZ1RCvXR1jh5pK
 WKZw==
X-Gm-Message-State: AOAM5323BS5VekGcNqhXOMgH5mJoT/G68hssifHOIh1pEq5BZprKFjq4
 KGCQkDffPxccu1T2/zk3KPw=
X-Google-Smtp-Source: ABdhPJxG/dOHQd95YZbW31O5Buoc8bvjDEDoxZtDMd6qb3np7RSafKMyaZv+hx6/2vghZqe8i2kD7A==
X-Received: by 2002:a17:90b:390b:: with SMTP id
 ob11mr11100245pjb.66.1608423302715; 
 Sat, 19 Dec 2020 16:15:02 -0800 (PST)
Received: from DreamBook2017.local ([2400:4153:47a0:f310:759d:b768:2c82:5c9f])
 by smtp.gmail.com with ESMTPSA id
 f15sm11153041pju.49.2020.12.19.16.15.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Dec 2020 16:15:01 -0800 (PST)
From: Tak Kunihiro <homeros.misasa@HIDDEN>
X-Google-Original-From: Tak Kunihiro <tkk@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
 <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
 <87360g44fe.fsf@HIDDEN>
Date: Sun, 20 Dec 2020 09:14:58 +0900
In-Reply-To: <87360g44fe.fsf@HIDDEN> (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vor?=
 =?utf-8?Q?a=22's?= message of "Tue, 08 Dec 2020 17:02:13 +0000")
Message-ID: <m2blep49kt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Tak Kunihiro <homeros.misasa@HIDDEN>, tkk@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I'll keep looking a bit, but at this point it doesn't seem to have
> anything to do with the antiblink feature.  I might be wrong, but I
> think that only shows up first in the messages buffer because it's
> unlucky enough to be one of the first users of syntax-ppss after a
> command.

I confirmed that I can reproduce the problem with 27.1.90.  Although the
recipe seems complicated, I see the problem quite often when I work with
LaTeX-mode.  I still have to stick on 26.3.

I appreciate if the problem would be fixed.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 8 Dec 2020 23:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 18:49:04 2020
Received: from localhost ([127.0.0.1]:60226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmmjA-0003HE-Nx
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2020 18:49:04 -0500
Received: from mail-pf1-f181.google.com ([209.85.210.181]:42116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <homeros.misasa@HIDDEN>) id 1kmmj8-0003Gj-GC
 for 45091 <at> debbugs.gnu.org; Tue, 08 Dec 2020 18:49:03 -0500
Received: by mail-pf1-f181.google.com with SMTP id 131so188116pfb.9
 for <45091 <at> debbugs.gnu.org>; Tue, 08 Dec 2020 15:49:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Mx94yyQ/Tf3ftuXdc1NGoeFRNW16pywTtPxTyktDHvI=;
 b=LwwB/emEXzqYmC7uewhcsA73S+ZhFooMdLbMPgAilFgARlYST4Z/Gm5cTDZUlPIKwE
 4P5ixDnNdXlC0lona745TNlc/ivQh+f1WImm+OlqG58kQR5F7iFvThfxu3fGCGKyIC3d
 sPnPeMIF1XCiyskFocr8cNskI/kjsVytQcSWmaoHqPFBqFXu3rFf8BS8r9zGOES3KWYv
 Hi55c8AsfsFh1UPrQcPm2PF4bdVIemnkP2yI8bm0D60f3lui1Tqi4d/ikcYMVAsGDGYO
 TRPjUflr9f+RM9rkDyyMWxoDqFW9Wo02VkTYeC2NSfC5zbzSe2aC3XIXZMih6ggjR15V
 HYjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=Mx94yyQ/Tf3ftuXdc1NGoeFRNW16pywTtPxTyktDHvI=;
 b=cxDnTNW67n0REbyNNLctSYSGu/CQlOojd8DqH2WYL5wqPKHEiFtJQA2ILTEiRhfwjC
 dc7rJTfLkg0XGPNj5sLktG9ZpJap4+z3gHKS00XcIuUbzdpQWfo3jlat9Mf0Ir4NPC+N
 aXYLIpy/M36b2g+PNlFR1mZ4Z0qg0kAry8SE7pGWAH77J8nvGb9NBSvVqLqd2lUeliFO
 R9STV9NgPkFhtW3rbRI+UAU6XttPo48uVWXNT3yI5uwbwvLHGr8uCZF4bYxuIi3kMgui
 WU1PZg6amvsNjc6S2MeCJWAoATYf4bN0kCxkyRua3wZBxE7RzNnxStYXa+y9IydmKgOR
 2Png==
X-Gm-Message-State: AOAM532+sCtOuEX/KDotBVOnHZSv/t/x7XF7275KHimZ8EK664g1s3Rx
 FEBmnu6Rwtz5Y3u3Uoo7XXY=
X-Google-Smtp-Source: ABdhPJycstSCm0vWNpbtnr2P6ogZcSFV/lnwcHs/5VHXBYiCw1OpxQBUtEuLhyLn7DKhLsPnfp3OrA==
X-Received: by 2002:a65:558a:: with SMTP id j10mr432281pgs.370.1607471336359; 
 Tue, 08 Dec 2020 15:48:56 -0800 (PST)
Received: from DreamMini2019.local (vesta.misasa.okayama-u.ac.jp.
 [150.46.48.154])
 by smtp.gmail.com with ESMTPSA id c6sm85547pgl.38.2020.12.08.15.48.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 08 Dec 2020 15:48:55 -0800 (PST)
From: Tak Kunihiro <homeros.misasa@HIDDEN>
X-Google-Original-From: Tak Kunihiro <tkk@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
 <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
 <87360g44fe.fsf@HIDDEN>
Date: Wed, 09 Dec 2020 08:48:51 +0900
In-Reply-To: <87360g44fe.fsf@HIDDEN> (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vor?=
 =?utf-8?Q?a=22's?= message of "Tue, 08 Dec 2020 17:02:13 +0000")
Message-ID: <m1pn3jkgf0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Tak Kunihiro <homeros.misasa@HIDDEN>, tkk@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Tak Kunihiro, what is in your opinion the deciding character of these
> files? I.e. what did you change from the first file (where I couldn't
> reproduce) to the second?

The difference between the first and the second files is, the existence
of plain sentences after the second org-table.

I see the problem randomly when I make a LaTeX table using org-mode
radio-table.

I was writing a recipe with the two org-tables.  I thought that
org-tables are the essence of the problem; however, it seems that
org-tables followed by plain sentences seems to be the source of the
problem.

Again, I do not see problem on 26.3.




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 8 Dec 2020 17:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:09:02 2020
Received: from localhost ([127.0.0.1]:59446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmgU1-0007Mv-R3
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2020 12:09:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kmgTw-0007Mb-RT
 for 45091 <at> debbugs.gnu.org; Tue, 08 Dec 2020 12:09:00 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54463)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kmgTl-0006gr-57; Tue, 08 Dec 2020 12:08:46 -0500
Received: from [176.228.60.248] (port=3555 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kmgTk-0006CY-Fe; Tue, 08 Dec 2020 12:08:44 -0500
Date: Tue, 08 Dec 2020 19:08:38 +0200
Message-Id: <83y2i85ip5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87360g44fe.fsf@HIDDEN> (message from =?utf-8?B?Sm/Do28g?=
 =?utf-8?B?VMOhdm9yYQ==?= on Tue, 08 Dec 2020 17:02:13 +0000)
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
 <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
 <87360g44fe.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45091
Cc: homeros.misasa@HIDDEN, tkk@HIDDEN, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: João Távora <joaotavora@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  45091 <at> debbugs.gnu.org,
>   tkk@HIDDEN
> Date: Tue, 08 Dec 2020 17:02:13 +0000
> 
> I'm quite lost as to why this happens, of course, but it seems it's
> always coming from syntax-ppss.  When I evaluate that definition (rather
> than compiling), I get more clues:
> 
> Debugger entered--Lisp error: (error "Marker does not point anywhere")
>   >(#<marker in no buffer> 2919)
>   (and old-pos (> old-pos pos))
>   (if (and old-pos (> old-pos pos)) (setq old-pos nil))
>   (let* ((cell (syntax-ppss--data)) (ppss-last (car cell)) (ppss-cache (cdr cell)) (old-ppss (cdr ppss-last)) (old-pos (car pps$
>   (progn (set-syntax-table (or syntax-ppss-table (syntax-table))) (let* ((cell (syntax-ppss--data)) (ppss-last (car cell)) (pps$
>   (unwind-protect (progn (set-syntax-table (or syntax-ppss-table (syntax-table))) (let* ((cell (syntax-ppss--data)) (ppss-last $
>   (let ((table (syntax-table)) (buffer (current-buffer))) (unwind-protect (progn (set-syntax-table (or syntax-ppss-table (synta$
>   syntax-ppss()
> 
> I'll keep looking a bit, but at this point it doesn't seem to have
> anything to do with the antiblink feature.  I might be wrong, but I
> think that only shows up first in the messages buffer because it's
> unlucky enough to be one of the first users of syntax-ppss after a
> command.

Stefan, any ideas?




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 8 Dec 2020 17:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:02:23 2020
Received: from localhost ([127.0.0.1]:59428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmgNb-00072t-1O
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2020 12:02:23 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:45688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kmgNZ-0006xT-NS
 for 45091 <at> debbugs.gnu.org; Tue, 08 Dec 2020 12:02:22 -0500
Received: by mail-wr1-f47.google.com with SMTP id t4so16943643wrr.12
 for <45091 <at> debbugs.gnu.org>; Tue, 08 Dec 2020 09:02:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=ZUTivoxNUYDM5lJtRGsi/6ptNE4hXTw6ynbi3jSuUq8=;
 b=VCiGzXqJeXvgfzqghl/SmaMmwq6mfcyoHLFeqVKiTIhouJBMr+R8OWUllMVIh5FM/5
 9UW5vFCzeMZ1pzG3ti/mp32rHlNBdatZV9CuiiG6Gl3BhEpBU5Iln7gkPrVr9LKAwNZ7
 W7UE/YC2+JN5zBdGjz/WfYaH0jhUUWq52qJTC6/D9O6os0PY9p4MHkYt2eAm9fh5pBY0
 NmBdupq12IEz/F1fCrvSkiCMUVoo7SrrTvEHSDMw4KbzdxNFzfFLnRVVpyrzJyfmbx7n
 SiaWvXaY2dY3hVIBCdzi4hPBCqQHk+2+jWeyTamGl7H3dEJS+4x1s+nOg7TiVtKmnLYX
 eMew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=ZUTivoxNUYDM5lJtRGsi/6ptNE4hXTw6ynbi3jSuUq8=;
 b=uh/3fpN8QbgvmBq5PTCQvYJRaqnksmfS18U1w6FTWQnWvonnxd3ac4mX7rsvTroG24
 cFU2roC9SeASWAGSpVSdQKYWBBsbQenJCJCHNzJmn4CaSTtN3fmtvK6fvt3JvVx7tkGG
 Sioq388T+CpF+eXbUqbqAlvhJxg6t6s40LOOiFlfyeFitR73/J83XUOQX1QgZNhUO4a+
 SezOtv0E6I2sJRIQ+lQqEiFn2Q6e+vyvCAHKiU4OylqB2m4wI/PAsP45VD2+43T9a1M1
 5M1DGHUsH5c7yg07qW3JtCnFL6ueL1EPnjT4iVjjcNdOnWepSFlkC7XFaKcB/PsP0YVq
 /gXA==
X-Gm-Message-State: AOAM5302LBaKyf20aVEuo7iEbq2COKboAWVePgwWFS1ds+r9iNA9dptZ
 8FXCrmpZw02Fn9rp3UI5FRM=
X-Google-Smtp-Source: ABdhPJyOX9s+G+IukWbZRnOQltx4G8d2C/t0+21YXnd0TIPqdmCr+ogGhqy+sOOXXhHxVABnz4BmIQ==
X-Received: by 2002:a5d:5401:: with SMTP id g1mr12321086wrv.93.1607446935876; 
 Tue, 08 Dec 2020 09:02:15 -0800 (PST)
Received: from krug ([87.196.174.9])
 by smtp.gmail.com with ESMTPSA id l8sm21757302wro.46.2020.12.08.09.02.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 08 Dec 2020 09:02:15 -0800 (PST)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Tak Kunihiro <homeros.misasa@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
 <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
Date: Tue, 08 Dec 2020 17:02:13 +0000
In-Reply-To: <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
 (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vora=22's?= message of "Tue, 8 Dec 2020
 02:42:29 +0000")
Message-ID: <87360g44fe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Eli Zaretskii <eliz@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> I'll keep investigating: I still don't know which marker the message
> is referring to.  It could be antiblink's marker, but it could be
> anything else.
>
> Jo=C3=A3o

I've now reproduced after setting

  (setq jit-lock-antiblink-grace nil)

Which turns off the antiblink feature _almost_ entirely.  I've also been
able to reproduce it from the command line via:

    ~/Source/Emacs/emacs-27/src/emacs -Q ~/tmp/taks-file.latex             =
            \
      --eval "(progn                                                       =
            \
               (require 'org)                                              =
            \
               (require 'org-table)                                        =
            \
               (orgtbl-mode)                                               =
            \
               (remove-hook 'post-command-hook                             =
            \
                            'jit-lock--antiblink-post-command t))"

Which _completely_ turns off the antiblink feature.

It doesn't need a window system, -nw is fine to reproduce.

This was with a fresh build of the Emacs 27.1 tag.

It's hard to reproduce sometimes, but iterating the undo/paste rectangle
cycle eventually gets one there.  It has to be done on the very same
file that Tak Kunihiro posted.  Sometimes I mess the file slightly (in
ways that I can't tell) and it doesn't happen again.

Tak Kunihiro, what is in your opinion the deciding character of these
files? I.e. what did you change from the first file (where I couldn't
reproduce) to the second?

I'm quite lost as to why this happens, of course, but it seems it's
always coming from syntax-ppss.  When I evaluate that definition (rather
than compiling), I get more clues:

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  >(#<marker in no buffer> 2919)
  (and old-pos (> old-pos pos))
  (if (and old-pos (> old-pos pos)) (setq old-pos nil))
  (let* ((cell (syntax-ppss--data)) (ppss-last (car cell)) (ppss-cache (cdr=
 cell)) (old-ppss (cdr ppss-last)) (old-pos (car pps$
  (progn (set-syntax-table (or syntax-ppss-table (syntax-table))) (let* ((c=
ell (syntax-ppss--data)) (ppss-last (car cell)) (pps$
  (unwind-protect (progn (set-syntax-table (or syntax-ppss-table (syntax-ta=
ble))) (let* ((cell (syntax-ppss--data)) (ppss-last $
  (let ((table (syntax-table)) (buffer (current-buffer))) (unwind-protect (=
progn (set-syntax-table (or syntax-ppss-table (synta$
  syntax-ppss()

I'll keep looking a bit, but at this point it doesn't seem to have
anything to do with the antiblink feature.  I might be wrong, but I
think that only shows up first in the messages buffer because it's
unlucky enough to be one of the first users of syntax-ppss after a
command.

Jo=C3=A3o










Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 8 Dec 2020 02:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 21:42:49 2020
Received: from localhost ([127.0.0.1]:56041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmSxk-0003r1-Oa
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 21:42:48 -0500
Received: from mail-io1-f48.google.com ([209.85.166.48]:42906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kmSxi-0003qn-5g
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 21:42:47 -0500
Received: by mail-io1-f48.google.com with SMTP id q137so15496006iod.9
 for <45091 <at> debbugs.gnu.org>; Mon, 07 Dec 2020 18:42:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=vkL3jnmMftDwi5zC5PRs4UUYvPRz0iuYoF0suNt9FWI=;
 b=LpgjeOGBoZ+ejSFu5k/1SIh7Ukse8K9yG7YELHFJAYGyFhpLjLYJX76/LSyN7XJ1CF
 m79nA+4cRct2K5RVcV1f8M2ab+NCo/+EDUZW+MkSi9U8slyAbAe2eLCpL4pgiNODMTnF
 ui3bh6YBFCimMwtgiRLid/m1fPCwO4mspkLrYxtKF0uY7AZAzXwokDBRcgCxd20sV/90
 iAWjbG6r0p2YmmsBQ8qWa1SACQJ8WJeyAYwX9NA62oV8cQclz9+dfpz4l1NQxbhKThxM
 wk2LfhHDBJSTnd5qudGTMzzxNFaNP0vvfWDtJtN9T8tRzmv53j9SJaCDlk8ygKkU7IvN
 +/pQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=vkL3jnmMftDwi5zC5PRs4UUYvPRz0iuYoF0suNt9FWI=;
 b=Of9DLv/HJWk0jAJkONz382ZpciVDgcHbJY3z+syrr8sbj7yJ/zCEm67IZtEVFTXLju
 IdcsHYYHgFOYvT6QeyoHrU1hfK8+HpfkYkbwOzGfcKrCiWwNLG4J0BZj1RKz6BiJz9/y
 4jMdzpsx/UHL+r9xF9pBCGwnhBxuwbHsBqfe/eidDADBWy1GzPcv3+stSzFhrwokDrAD
 MJ5uE6Lx8XInsdtGdGh0wRptI489P2h6Y9sIGMhztc2ATTbyFsE4JGkEB5aTiDxEzhuk
 umKnkwwCnc1An+dHtKBLpu0qNsjXLDdXUIUpNpQLT4Nzg5W8Qk3D+IBHsRheiedBZKt6
 dcOw==
X-Gm-Message-State: AOAM533CSqNG3a8lJ5FjvZgEBsinxE0wInEQxxCpC/zJZNdZPOrhUwAT
 Z31uI3R6v/Xj6jN4WqhKSSJXIcAfKl6saJoDqn0=
X-Google-Smtp-Source: ABdhPJzY3r3f+Uf6un0hJQVibd+421S8WBoszMQOm4pW7tbPcARoJY1bf8vhDt79PoqNEkdelQfgS2++N9Z08gnabqk=
X-Received: by 2002:a05:6602:2b01:: with SMTP id
 p1mr15035868iov.156.1607395360375; 
 Mon, 07 Dec 2020 18:42:40 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 <m1ft4hyyw8.fsf_-_@HIDDEN>
In-Reply-To: <m1ft4hyyw8.fsf_-_@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Tue, 8 Dec 2020 02:42:29 +0000
Message-ID: <CALDnm50Rf_fhVbE+dRyOG5gn5thjQmtC7C9oBgQ-=-Syz_rvDQ@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
To: Tak Kunihiro <homeros.misasa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Eli Zaretskii <eliz@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I apologize that the file I posted is NG.  Please try the following file
> as shown below.

Thanks, now I did reproduce... something.  I get the "Marker does not
point anywhere" error you describe, but also mentions to other broken
functionality, not only the "antiblink":

Error in post-command-hook (jit-lock--antiblink-post-command): (error
"Marker does not point anywhere")
primitive-undo: Marker does not point anywhereError during redisplay:
(jit-lock-function 772) signaled (error "Marker does not point
anywhere")
Error during redisplay: (jit-lock-function 1272) signaled (error
"Marker does not point anywhere")
Error during redisplay: (jit-lock-function 1772) signaled (error
"Marker does not point anywhere")
Error during redisplay: (jit-lock-function 2272) signaled (error
"Marker does not point anywhere")
Error during redisplay: (jit-lock-function 2772) signaled (error
"Marker does not point anywhere")

If I turn on debug-on-error, I also get the stacktrace below
on RET, which runs newline.
It seems the problem comes from "syntax-ppss", which is also
called from "antiblink". I cannot always reproduce this, and
often I can reproduce without needing the "undo".

I'll keep investigating: I still don't know which marker the message
is referring to.  It could be antiblink's marker, but it could be
anything else.

Jo=C3=A3o

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  syntax-ppss()
  electric-indent-post-self-insert-function()
  self-insert-command(1)
  newline(nil 1)
  funcall-interactively(newline nil 1)
  call-interactively(newline)
  (let (orgtbl-mode) (call-interactively (or (key-binding "\15")
(key-binding [(return)]) 'orgtbl-error)))
  (if (org-at-table-p) (call-interactively 'orgtbl-ret) (let
(orgtbl-mode) (call-interactively (or (key-binding "\15") (key-binding
[(return)]) 'orgtbl-error))))
  orgtbl-hijacker-command-101(1)
  funcall-interactively(orgtbl-hijacker-command-101 1)
  call-interactively(orgtbl-hijacker-command-101 nil nil)
  command-execute(orgtbl-hijacker-command-101)




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#45091; Package emacs,org-mode. Full text available.
bug No longer marked as found in versions 27.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'emacs,org-mode'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 7 Dec 2020 23:33:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 18:33:56 2020
Received: from localhost ([127.0.0.1]:55864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmQ0y-0005g2-3d
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 18:33:56 -0500
Received: from mail-pg1-f177.google.com ([209.85.215.177]:38919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <homeros.misasa@HIDDEN>) id 1kmQ0v-0005fo-QD
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 18:33:54 -0500
Received: by mail-pg1-f177.google.com with SMTP id f17so10450235pge.6
 for <45091 <at> debbugs.gnu.org>; Mon, 07 Dec 2020 15:33:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=gClp20DIYa75p+dA+pcpkCG/2W7mJDPaQmrfcu8V0mc=;
 b=fDYAjKkUjh2npwrgTY5pl/BpiT4TP+SCvCFqcTg6IOtN0QVOuM4fPbd26TKYbMWv06
 BvRQ5+5Jus4r2i3yinGbyNTHOCLsdMe7AnUUV4vJs8GlKgKOZyTALTMJvnylwJBjpn2i
 tonQQ7se4aVYqPiodCN/m+cUvgknnIIwrHJIK+J1Bpn9CdFefNfvNdzqHvBjGM48HFul
 oZEpEcPg+Y/RGCsI+g2c7A3eZ8xo+0kP66zEj5/DKDguhDqqaIB1jSkqGRdS5eHwesTL
 rMIXS4vIa1O5VHQOWJI65F0KePUmFkq+g93Pyz1rx+6jTq9VqLWDo7nte0s3JJcDrkCJ
 5q3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=gClp20DIYa75p+dA+pcpkCG/2W7mJDPaQmrfcu8V0mc=;
 b=BMYx62PB13eeOgLpvz3Uz83KXbfngam4YtXCtSXF2WoFGPJxd7f9BnyF0KyHDCr3Z1
 beg8mDi0sQP/tAwqV6FGS0uiZm/n6RxH1VCINz6oTKaUqXsO8ZU8lLQPEfOdoq/Re/Pp
 p0DOddW5LCqBH+56jP4a2OClD/rq8DRPgV8BOCxRFxrBsMSYqZDcEHJhl62NFSXk7Awb
 55WWFh/kQx1yxTyo4bAOUhJoco3cxvqrpooToUFeskyMibnbaCs8KjVH5x+ayu6rZX22
 hucCMLM+X5N+6N9aLgU9hDl2GBl+/1NS1prD3oqqu25QDWcOQA7Yh0u9urXohBCCMbs0
 pkUg==
X-Gm-Message-State: AOAM530GogFWqigM3bGUnNmbGvxSmxNRYhiqEKU/NNRepPmpIKCJ2BXM
 W7aoSmZ8LlFa+FxnOKfVyNo=
X-Google-Smtp-Source: ABdhPJycOfu9yFZJW4OZCFb+ioyDFEhLWLcv4dZZ7XYxyOveQVPcz78K8ks0F0yc9t80XFwFCnpYcw==
X-Received: by 2002:a17:90a:658c:: with SMTP id
 k12mr1133963pjj.31.1607384027830; 
 Mon, 07 Dec 2020 15:33:47 -0800 (PST)
Received: from DreamMini2019.local (vesta.misasa.okayama-u.ac.jp.
 [150.46.48.154])
 by smtp.gmail.com with ESMTPSA id h4sm13033808pgp.8.2020.12.07.15.33.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 07 Dec 2020 15:33:47 -0800 (PST)
From: Tak Kunihiro <homeros.misasa@HIDDEN>
X-Google-Original-From: Tak Kunihiro <tkk@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectangle
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
Date: Tue, 08 Dec 2020 08:33:43 +0900
In-Reply-To: <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
 (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vora=22's?= message of "Mon, 7 Dec 2020
 22:20:55 +0000")
Message-ID: <m1ft4hyyw8.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Eli Zaretskii <eliz@HIDDEN>, tkk@HIDDEN,
 Tak Kunihiro <homeros.misasa@HIDDEN>, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>> Then I see following messages.  No error is observed on Emacs 26.3.
>>>>
>>>>     Mark set
>>>>     Error in post-command-hook (jit-lock--antiblink-post-command): (er=
ror "Marker does not point anywhere")
>>>>     Error during redisplay: (jit-lock-function 3145) signaled (error "=
Marker does not point anywhere")
>>>
>>> Jo=C3=A3o, could you please look into this?  If it's possible to fix th=
is
>>> for Emacs 27.2, I'd like it to be fixed.
>>
>> Understood. Will do.
>
> Can't reproduce this on Emacs master.  Will try on 27.1
>
> I'm a bit unsure of what exactly "select all cells of the first org-table"
> means, as I'm not an Org-table user.  I assume the region that comprises
> those lines, but it has to come "inside" the table, otherwise the
> "copy-region" command won't work.

I meant "select all cells of the first org-table" to be following
action.

  (org-table-copy-region (1+ (org-table-begin)) (- (org-table-end) 2))

> Also cannot reproduce on 27.1.  Eli, can you?  If so, how did you interpr=
et
> Tak Kunihiro's instructions?

I apologize that the file I posted is NG.  Please try the following file
as shown below.

I see those error on Emacs 27.1 for MacOS from emacsformacosx and that
for Windows from www.gnu.org/software/emacs.


### BEGINNING OF FILE "20201207-1200.tex" ###
-*- mode: latex -*-

| rownames                    |  acq | stone                  | session | k=
CNzCC | DD15N | DD13C |
| ref-coal-krt-2000-4-s1@4104 | 4104 | ref-coal-krt-2000-4-s1 | s109b   |  =
   10 |     0 |     0 |
| ref-coal-krt-2000-4-s1@4105 | 4105 | ref-coal-krt-2000-4-s1 | s109b   |  =
   10 |     0 |     0 |

|-----------------------+--------+--------+---------------+---------+------=
---+-----+------+------|
|                       | 12C12C | 12C14N | 12C14Nz12C12C | d13Cion | d15Ni=
on | N/C | d13C | d15N |
|-----------------------+--------+--------+---------------+---------+------=
---+-----+------+------|
| cniso-mtx-ogl1-2@4112 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4113 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4114 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4115 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4116 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4117 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4118 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4119 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4124 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4125 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4126 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4127 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4128 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4129 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4130 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4131 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4132 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4133 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4134 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4135 |        |        |               |         |      =
   |     |      |      |
| cniso-mtx-ogl1-2@4136 |        |        |               |         |      =
   |     |      |      |
|-----------------------+--------+--------+---------------+---------+------=
---+-----+------+------|


I see error message "Marker does not point anywhere" during copy and
paste operation with org-table on Emacs 27.1.

    $ emacs -Q
    M-x find-file FOLLOWING_FILE
    Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
    Select all cells of the first org-table
    M-x org-table-copy-region
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle
    M-x undo
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle

Then I see following messages.  No error is observed on Emacs 26.3.

    Mark set
    Error in post-command-hook (jit-lock--antiblink-post-command): (error "=
Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3145) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 772) signaled (error "Marker=
 does not point anywhere")
    Error during redisplay: (jit-lock-function 1272) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 1772) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 2272) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 2772) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 3272) signaled (error "Marke=
r does not point anywhere")
    Error during redisplay: (jit-lock-function 3772) signaled (error "Marke=
r does not point anywhere")

I cannot tell what is the source of problem.  Can you fix this?
### END OF FILE ###




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 7 Dec 2020 22:24:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 17:24:12 2020
Received: from localhost ([127.0.0.1]:55775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmOvU-0003xe-0f
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 17:24:12 -0500
Received: from mail-io1-f47.google.com ([209.85.166.47]:42074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kmOvS-0003xR-JB
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 17:24:10 -0500
Received: by mail-io1-f47.google.com with SMTP id q137so14994267iod.9
 for <45091 <at> debbugs.gnu.org>; Mon, 07 Dec 2020 14:24:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=I7cIPrIYOdsbavoY5luNcgutK3mYP8p4372/0+bPY6E=;
 b=Mv4SbMtRDa5mXwwtV/PATCTHaRbUNjy9Fdi2b86yx27Jwe9sO8I2mHNfxmXAzl9Z0X
 1oykruAig8VWbyb/bGkniYY6GMw3tvYC/2moIOYeJC9yrDAqgTz6HjqedEbDkAXRlGGG
 3+gSqMR/Z9yPEjlN0DRWSCA15VrsykQqdwO5J1I7RsrDxWSnAuTgwpx6sFYwIMM8vmm/
 aNxoBp6FDTzTkUkiT54w5kzrsuMpFZ1UrI7NP1FQRXdnFeqJbXdMdRz2+pRu+sqwf/a9
 wD5dq0vuPgJnFt38Py5sharGTj0d69ncS9ghd1d1zUmT1Agol3MWbn6uv0lePdzOEIx/
 9LDw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=I7cIPrIYOdsbavoY5luNcgutK3mYP8p4372/0+bPY6E=;
 b=caRaMK6GysVwR2XmKnVywDebf+TRuVqIZ/OonuMLOBBxjsHTXWgRiiWXO6KjuMvWwz
 PePoZnzrL0g2fKLHkwQDFokVlBpN0jbwJ0yh4HzPkvRxj1gfrL525XD1OkZN4npS34nc
 yZf3HJDY7tI7fk/iI2NsqLGPUq3HGLRTopQ8+2v4pcNT8w56JTdBTyhwq0gTCTyoPxPa
 HNWerFEs69QELKMOwvyW3KZvNUeKSC6f008KMnuVnhddryma3iTO3YgqnRsPutN+C/TK
 lptUi3zbkAO7IJoKS47/TD0Q/dprfD4HZN6FDBnjtQfi22FMAZ5I/lUfBHkD+LJdyzef
 D9+Q==
X-Gm-Message-State: AOAM531gzdKDWKzRGiVubpuBmqKtHBHpASl4qnSAt0UMiW3TJabqdYSn
 Bj3ZTKJeOpcQaMhuVwGcfdGxK1U/EXiECe5yup8=
X-Google-Smtp-Source: ABdhPJxrH2nZD40JCkEPT/lBiCSwurpZX4ngq1JZQiyeg8fRfs4D0OF1KAVroJ3ipZ/VYRoi1IwdhaAe/QBqnO/cVGc=
X-Received: by 2002:a6b:92c4:: with SMTP id u187mr21584392iod.57.1607379845172; 
 Mon, 07 Dec 2020 14:24:05 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
 <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
In-Reply-To: <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Mon, 7 Dec 2020 22:23:53 +0000
Message-ID: <CALDnm525cW-xdgSpC+9Da7GiF5BFPE1aSx2w4fBBeBZKg4JEfQ@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectanble
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Tak Kunihiro <homeros.misasa@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also cannot reproduce on 27.1.  Eli, can you?  If so, how did you interpret
Tak Kunihiro's instructions?

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 7 Dec 2020 22:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 17:21:15 2020
Received: from localhost ([127.0.0.1]:55771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmOsd-0003tC-Hi
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 17:21:15 -0500
Received: from mail-io1-f53.google.com ([209.85.166.53]:35413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kmOsa-0003sx-8c
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 17:21:14 -0500
Received: by mail-io1-f53.google.com with SMTP id i9so15046309ioo.2
 for <45091 <at> debbugs.gnu.org>; Mon, 07 Dec 2020 14:21:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=oJ8immJu3w0tzXICoEep+p/8tQZN/dNQBk4MGcJ/990=;
 b=tff3TsZNUCSW3AjtelJm+vIyZVMfpRJDaFTSgANdBFXFNvK4DfccDdymBon0fYeX+f
 m85UxplZ8B7P+amGCLm9foa5l+toXfm0+z9thcEm/7L+AZ/4S68ZcCN5lKkyBfRqUbIz
 UksGO+0DSLWx4HQ6wGTKFQgUc4BMuoTtb2WtSHXhi1DID4gTrJcTXXS8mTOUoVopGbuE
 9ipGQSDqi8obZ1URA6Uso7kJs/78rnEPK4x7YDt3/dLp75CajFTgHl8/D9sWdahnkZ5E
 q5U2FRVcNc6BO+Hq+2Vo9z/OqVBRq/OtXDHQPWzG6j4QkyPi2xcbNnXNC6+cmpgAMDmt
 jrHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=oJ8immJu3w0tzXICoEep+p/8tQZN/dNQBk4MGcJ/990=;
 b=CzOD3w6SKDYPTB5Z4VZ44fZzWZQN/y+z24TxoMNPm9BlzdbJXo/xu+txJS/9HQE6B+
 CubLecLuGIxuBa7yqqVHPXHErgwiwDMMUnHBfr3g5GfYndMWmQ7RQdEdOOdbuDIi9dWa
 g6JoSPnggWvB298zqpbeTnKefIrz0P3Tu+LFMT9tBffd21ZqSkYKHe8/f5wAyykt0szZ
 2ARtpWIrhKy2p4axQq38pKJHGQ/UIP9f9qchvv3cLdZYbzlirexpAgKn3LuOeiG/yb8x
 ikgdOOkgvRaj9sgsriP5Xj/vDMT09bcZAe377JRpVq+jJp9jUw/QksksQu4DUCZXLvyA
 9xAQ==
X-Gm-Message-State: AOAM530J0gO5q2uKmxwZLbmZ3RDMCX/+BV3dPc+aUEqTUZt6ONCU543c
 kMu28mm+OjMqxE6iIqkbxB5gty1u3Vuj8x6CorU=
X-Google-Smtp-Source: ABdhPJy8Hf5pZJpsCts6epg9hRkgwkWrpjpbLCW/D+WVoxALoDXz5eEGhngLeS2vecRPpieUpEmeWwhiDi08DjagNZM=
X-Received: by 2002:a02:ac18:: with SMTP id a24mr18604464jao.24.1607379666675; 
 Mon, 07 Dec 2020 14:21:06 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
 <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
In-Reply-To: <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Mon, 7 Dec 2020 22:20:55 +0000
Message-ID: <CALDnm53ZSJF8hCSKiaE5c=ykrTbnaxM9i5mtzpJHB-uP9M4=-Q@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectanble
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Tak Kunihiro <homeros.misasa@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Dec 7, 2020 at 3:39 PM Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN>=
 wrote:
>
> On Mon, Dec 7, 2020 at 3:38 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> >
> > > From: Tak Kunihiro <homeros.misasa@HIDDEN>
> > > Date: Mon, 07 Dec 2020 14:00:28 +0900
> > > Cc: tkk@HIDDEN
> > >
> > > I see error message "Marker does not point anywhere" during copy and
> > > paste operation between org-table on Emacs 27.1.
> > >
> > >     $ emacs -Q
> > >     M-x find-file FOLLOWING_FILE
> > >     Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
> > >     Select all cells of the first org-table
> > >     M-x org-table-copy-region
> > >     Click the top-left of the second org-table
> > >     M-x org-table-paste-rectangle
> > >     M-x undo
> > >     Click the top-left of the second org-table
> > >     M-x org-table-paste-rectangle
> > >
> > > Then I see following messages.  No error is observed on Emacs 26.3.
> > >
> > >     Mark set
> > >     Error in post-command-hook (jit-lock--antiblink-post-command): (e=
rror "Marker does not point anywhere")
> > >     Error during redisplay: (jit-lock-function 3145) signaled (error =
"Marker does not point anywhere")
> >
> > Jo=C3=A3o, could you please look into this?  If it's possible to fix th=
is
> > for Emacs 27.2, I'd like it to be fixed.
>
> Understood. Will do.

Can't reproduce this on Emacs master.  Will try on 27.1

I'm a bit unsure of what exactly "select all cells of the first org-table"
means, as I'm not an Org-table user.  I assume the region that comprises
those lines, but it has to come "inside" the table, otherwise the
"copy-region" command won't work.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 7 Dec 2020 15:40:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 10:40:20 2020
Received: from localhost ([127.0.0.1]:55005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmIcS-0004FP-FV
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 10:40:20 -0500
Received: from mail-io1-f49.google.com ([209.85.166.49]:40168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kmIcP-0004EX-Lm
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 10:40:06 -0500
Received: by mail-io1-f49.google.com with SMTP id r9so13742838ioo.7
 for <45091 <at> debbugs.gnu.org>; Mon, 07 Dec 2020 07:40:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=bd2UvmV5/SOLlIuKQCTnygXw3C/NoRizOxFlZYay6Dg=;
 b=hJ+P5iTPN2P8hURwezcsYMiv8hXbIK+ougQG2YmhF7ok5lYhKxJVjMjRYKygBiEKwv
 2DGvhPRUOGB01uQoy/s8ZPEkEKxadiJ8PiWABuxVD5BNsrsJJCuQRpUzMMNOuxEBC7lD
 A3YeQCuqeGha/HrgwXkmNtSNzBez0iTVGEgJqwoyubXDwaduN7keaMJg0WnrHyKqHZrb
 uofcoy6Pd0f1deEnRPl0bVAtMo6rcZuerWjIq97zng+NZtpFzA+A7OajZox7FJ64jXXZ
 dJxLoPcjq9AWdPWL3RIHRh2+hQQDEUIsa67YKcgvy/lWAE5ZYXRP8hGvqALmmruN2I6o
 eWlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=bd2UvmV5/SOLlIuKQCTnygXw3C/NoRizOxFlZYay6Dg=;
 b=f+/csm17JL7ThPCxEkk47CfmHnm43KXRQMjNoCBdGC9rEhbFvZHqpjS0OEchEOE+sE
 DvfmHCrPZIlFMsef+xkgzMixZdUdKUldfR8KPjGH6PqPc7UYQ6sqvybNXSlDLZZzuPvF
 GiBnJdzaEeYZ1hnNkxCVqGABp7C/r3+hG3G+AcEVhjX6QCvfeq1+QgsSUemu66ZusQJz
 sYn5mx3w+xgicJTGMptmk/G48KVKHms077tsseTdXisGgiMq4h/Qn0p00grxr8o9fK8P
 gi9inWDMOsbAuuU5aM8DP9J1MUC81BjWfJhq06eLiJAotH1Vsz4PIAd0oLNPU0UXrbbJ
 uaxw==
X-Gm-Message-State: AOAM530su+uerZA2KsToMjuomzEEA//BxZMXfcP9ytJcMaxVZqrUe3kP
 /kSLFWQGDVES7Yt5CYwYFNJEt1Gd4Us4VbsZ67I=
X-Google-Smtp-Source: ABdhPJz57LkwEQnTEOccCuimQtkWjKgaErPro643hDtgYJWaThsVfQBn6YgxEvGoOQjE32rVysAUeMbBWiWEFeVvUmw=
X-Received: by 2002:a05:6602:314b:: with SMTP id
 m11mr9243603ioy.165.1607355599775; 
 Mon, 07 Dec 2020 07:39:59 -0800 (PST)
MIME-Version: 1.0
References: <m14kky8b2r.fsf@HIDDEN> <831rg1aapc.fsf@HIDDEN>
In-Reply-To: <831rg1aapc.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Mon, 7 Dec 2020 15:39:45 +0000
Message-ID: <CALDnm53uvZOy+KgTfFfiCZtSe8g-1+roC_pVC+dudHmK76S0VQ@HIDDEN>
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectanble
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45091
Cc: Tak Kunihiro <homeros.misasa@HIDDEN>, tkk@HIDDEN,
 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Dec 7, 2020 at 3:38 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Tak Kunihiro <homeros.misasa@HIDDEN>
> > Date: Mon, 07 Dec 2020 14:00:28 +0900
> > Cc: tkk@HIDDEN
> >
> > I see error message "Marker does not point anywhere" during copy and
> > paste operation between org-table on Emacs 27.1.
> >
> >     $ emacs -Q
> >     M-x find-file FOLLOWING_FILE
> >     Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
> >     Select all cells of the first org-table
> >     M-x org-table-copy-region
> >     Click the top-left of the second org-table
> >     M-x org-table-paste-rectangle
> >     M-x undo
> >     Click the top-left of the second org-table
> >     M-x org-table-paste-rectangle
> >
> > Then I see following messages.  No error is observed on Emacs 26.3.
> >
> >     Mark set
> >     Error in post-command-hook (jit-lock--antiblink-post-command): (err=
or "Marker does not point anywhere")
> >     Error during redisplay: (jit-lock-function 3145) signaled (error "M=
arker does not point anywhere")
>
> Jo=C3=A3o, could you please look into this?  If it's possible to fix this
> for Emacs 27.2, I'd like it to be fixed.

Understood. Will do.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.

Message received at 45091 <at> debbugs.gnu.org:


Received: (at 45091) by debbugs.gnu.org; 7 Dec 2020 15:38:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 10:38:13 2020
Received: from localhost ([127.0.0.1]:54990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmIab-0004Bc-B9
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 10:38:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kmIaZ-0004BP-Ea
 for 45091 <at> debbugs.gnu.org; Mon, 07 Dec 2020 10:38:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57369)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kmIaQ-0000Ie-C3; Mon, 07 Dec 2020 10:38:02 -0500
Received: from [176.228.60.248] (port=1067 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kmIaP-0006Po-LS; Mon, 07 Dec 2020 10:38:02 -0500
Date: Mon, 07 Dec 2020 17:37:51 +0200
Message-Id: <831rg1aapc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tak Kunihiro <homeros.misasa@HIDDEN>, =?iso-8859-1?Q?Jo=E3o_T=E1vor?=
 =?iso-8859-1?Q?a?= <joaotavora@HIDDEN>
In-Reply-To: <m14kky8b2r.fsf@HIDDEN> (message from Tak
 Kunihiro on Mon, 07 Dec 2020 14:00:28 +0900)
Subject: Re: bug#45091: 27.1; M-x org-table-paste-rectanble
References: <m14kky8b2r.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45091
Cc: tkk@HIDDEN, 45091 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tak Kunihiro <homeros.misasa@HIDDEN>
> Date: Mon, 07 Dec 2020 14:00:28 +0900
> Cc: tkk@HIDDEN
> 
> I see error message "Marker does not point anywhere" during copy and
> paste operation between org-table on Emacs 27.1.
> 
>     $ emacs -Q
>     M-x find-file FOLLOWING_FILE
>     Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
>     Select all cells of the first org-table
>     M-x org-table-copy-region
>     Click the top-left of the second org-table
>     M-x org-table-paste-rectangle
>     M-x undo
>     Click the top-left of the second org-table
>     M-x org-table-paste-rectangle
> 
> Then I see following messages.  No error is observed on Emacs 26.3.
> 
>     Mark set
>     Error in post-command-hook (jit-lock--antiblink-post-command): (error "Marker does not point anywhere")
>     Error during redisplay: (jit-lock-function 3145) signaled (error "Marker does not point anywhere")

Joo, could you please look into this?  If it's possible to fix this
for Emacs 27.2, I'd like it to be fixed.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2020 05:00:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 00:00:37 2020
Received: from localhost ([127.0.0.1]:52087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1km8dZ-0006Dq-FO
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 00:00:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:34566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <homeros.misasa@HIDDEN>) id 1km8dY-0006Dj-7r
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 00:00:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58800)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <homeros.misasa@HIDDEN>)
 id 1km8dX-00056y-NA
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2020 00:00:35 -0500
Received: from mail-pf1-x42a.google.com ([2607:f8b0:4864:20::42a]:35887)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <homeros.misasa@HIDDEN>)
 id 1km8dV-0007BK-Pb
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2020 00:00:35 -0500
Received: by mail-pf1-x42a.google.com with SMTP id b26so8596652pfi.3
 for <bug-gnu-emacs@HIDDEN>; Sun, 06 Dec 2020 21:00:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version;
 bh=cVt/iDZI2JxWCT6kNHxDptNKEETTmYgcqWk90xWAr+U=;
 b=OC8Sam7gRmeharDYZO10lm1hIjTuVFp1u900tHT/1ghkFQOsWWPOvRz7BSLlOtLTbx
 yzBT5NOwhE9MhfC+wrFGG3nHNkesX/5KDN2/wF7NwFrYUpKuaQuEo2n40zj0NLJ11+Fc
 V9kwYvxudyjA6dior8nb2scX1c3+kfCElge7VdrA+WgTGva8ESNGhOhu5DrGYc0sjJrx
 L+7fJewxPb11NG0BtY1adLCpS5Of11odTsLwdcTO4slhJbosgKJWz/dOc4s2pfnCXfXH
 kGo78g2SSn4ZqSV5MzjwZBOgeIvcCb+d9c2qF9Qvjf9eqIoXOV0r+XRC9HqJisv5Qo05
 4S9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version;
 bh=cVt/iDZI2JxWCT6kNHxDptNKEETTmYgcqWk90xWAr+U=;
 b=EY76mXobQdATw+c3e777tFzqCwFXAfd9zWAOg9RL26/sfSBSFAt14JvhPOims93fQd
 4012v6TSP9h8CWLtQBg+pSusE6ex3sXvis0o/ONUWTGeALfxfzRyO0FZyZTLX99HQrbH
 woZK38mYclj7em+bEAQYGUFDaRRxs3FyskmN5WffeuehOgSJyTxF34XmEgGi9JC6Dx/R
 867THNyDgu7z6YRK4Z5+gc+SHOqzP15PbtpG9BscpWFHEXCTj4Cx3dL+8jZAuRDhRZ3g
 ppP0/0NsBr4XPL16bc4/qgN4+00qa8PlnZ8y3kqHLS6Az2DTdYPr9aizuSfEoeCKDZkK
 o1UQ==
X-Gm-Message-State: AOAM532vnYplFvgSrkAM9MhH7JlbCgnOwWi/frwIqfgRt0dmCy7xpEnP
 Bo/GDJoNA2sWYdB6SjCZJ4xDPix/vnI=
X-Google-Smtp-Source: ABdhPJye+NDX+vNYRdjEvQzCNMpdbPHnkSp/MHTxwLjiJXOgP/Pq7VM0kTikhw3iVor7T9/8tRJrhQ==
X-Received: by 2002:a17:902:7144:b029:da:7268:d730 with SMTP id
 u4-20020a1709027144b02900da7268d730mr14076706plm.20.1607317231701; 
 Sun, 06 Dec 2020 21:00:31 -0800 (PST)
Received: from DreamMini2019.local (vesta.misasa.okayama-u.ac.jp.
 [150.46.48.154])
 by smtp.gmail.com with ESMTPSA id v63sm12137537pfb.217.2020.12.06.21.00.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 06 Dec 2020 21:00:30 -0800 (PST)
From: Tak Kunihiro <homeros.misasa@HIDDEN>
X-Google-Original-From: Tak Kunihiro <tkk@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; M-x org-table-paste-rectanble
Date: Mon, 07 Dec 2020 14:00:28 +0900
Message-ID: <m14kky8b2r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::42a;
 envelope-from=homeros.misasa@HIDDEN; helo=mail-pf1-x42a.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: tkk@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I see error message "Marker does not point anywhere" during copy and
paste operation between org-table on Emacs 27.1.

    $ emacs -Q
    M-x find-file FOLLOWING_FILE
    Eval: (progn (require 'org) (require 'org-table) (orgtbl-mode))
    Select all cells of the first org-table
    M-x org-table-copy-region
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle
    M-x undo
    Click the top-left of the second org-table
    M-x org-table-paste-rectangle

Then I see following messages.  No error is observed on Emacs 26.3.

    Mark set
    Error in post-command-hook (jit-lock--antiblink-post-command): (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3145) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 1272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 1772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 2272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 2772) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3272) signaled (error "Marker does not point anywhere")
    Error during redisplay: (jit-lock-function 3772) signaled (error "Marker does not point anywhere")

I cannot tell what is the source of problem.  Can you fix this?


######## beginning_of_file
-*- mode: latex -*-

| rownames                    |  acq | stone                  | session | kCNzCC | DD15N | DD13C |
| ref-coal-krt-2000-4-s1@4104 | 4104 | ref-coal-krt-2000-4-s1 | s109b   |     10 |     0 |     0 |
| ref-coal-krt-2000-4-s1@4105 | 4105 | ref-coal-krt-2000-4-s1 | s109b   |     10 |     0 |     0 |

|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|
|                       | 12C12C | 12C14N | 12C14Nz12C12C | d13Cion | d15Nion | N/C | d13C | d15N |
|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|
| cniso-mtx-ogl1-2@4112 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4113 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4114 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4115 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4116 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4117 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4118 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4119 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4124 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4125 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4126 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4127 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4128 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4129 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4130 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4131 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4132 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4133 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4134 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4135 |        |        |               |         |         |     |      |      |
| cniso-mtx-ogl1-2@4136 |        |        |               |         |         |     |      |      |
|-----------------------+--------+--------+---------------+---------+---------+-----+------+------|

######## end_of_file




Acknowledgement sent to Tak Kunihiro <homeros.misasa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45091; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 15 Jan 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.